Sites
Update a site
x-api-key<token>
In: header
Path Parameters
siteId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/sites/string" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "name": "string", "slug": "string", "language": "string", "url": "string", "theme": { "background": "string", "foreground": "string", "primary": "string", "primaryForeground": "string", "muted": "string", "surface": "string", "border": "string", "dark": { "background": "string", "foreground": "string", "primary": "string", "primaryForeground": "string", "muted": "string", "surface": "string", "border": "string" }, "defaultMode": "light", "fontFamily": "string", "searchEngines": { "index": true, "follow": true } }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}
Planeward Docs